#include <bits/stdc++.h>

using namespace std;

int main()
{
    int v,b,a;
    b=0;
    scanf("%d",&v);
    while(v>0)
    {
        a=v%10;
        switch(a)
        {
            case 1:case 2:case 5: b++;break;
            case 3:case 4:case 6:case 7: b+=2;break;
            case 8:case 9: b+=3;break;
        }
        v/=10;
    }
    printf("%i",b);
    return 0;
}